Bug 172367 - manual edit of xorg.conf needed for multihead display
manual edit of xorg.conf needed for multihead display
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-03 08:21 EST by Mark Frazer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 14:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
working xorg.conf file (3.46 KB, text/plain)
2005-11-03 08:22 EST, Mark Frazer
no flags Details

  None (edit)
Description Mark Frazer 2005-11-03 08:21:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I was running single headed with a 1680x1050 panel and a radeon 7000 AGP card.
Bought another panel and a PCI radeon 7000 card.  Both panels are connected via DVI.  On boot, only the new panel comes up, i guess because it is first in the PCI order.

Run system-config-display to set up second panel.  Restart, it does not work, in fact X didn't come up at all.  Reboot to single user, changed inittab to runlevel 3, and restore xorg.conf from xorg.conf.backup.  Start X, run system-config-display, again and again.  Give up on system-config-display and play with xorg.conf by hand.

Seems system-config-display was not adding a BusID line to the device section of the AGP card.  Maybe because the section was already present in the xorg.conf.

System-config-display also added a "Clone" option to the server layout which is not documented in the xorg.conf manual page.

The hand edited xorg.conf is attached.  All I did was add the Gamma line to each monitor section and the BusID to the Videocard0 Device section.

Version-Release number of selected component (if applicable):
system-config-display-1.0.29-1

How reproducible:
Didn't try


Additional info:
Comment 1 Mark Frazer 2005-11-03 08:22:35 EST
Created attachment 120687 [details]
working xorg.conf file

This is the hand-edited xorg.conf with the added BusID for the AGP card.
Comment 2 Christian Iseli 2007-01-22 06:14:51 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Adam Jackson 2007-04-03 14:22:51 EDT
NEEDINFO timeout, resolving as INSUFFICIENT_DATA.  If you are still experiencing
this bug in FC6 or FC7, please reopen.  Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.